/***************************************************************
* file name			: main.c

* Description   : ⲿжϵӦLEDƣWFE˯ģʽ
									ⲿ¼

* Author    		: zc

* Version				: 0.1

* Date					: 2015.9.26

* History       
***************************************************************/
#include "stm32f10x.h"
#include "exti.h"
#include "user_config.h"

void systick_delay(uint16_t delay);
void led_light_up(uint8_t LED_NUM);
uint16_t 	SysTick_Time = 0;
uint8_t 	EXTI4Flg = 0;

/****************************************************************
* function   	: main

* Description : Ŀں

* input			  : 

* output      : 
*****************************************************************/
int main(void)
{
	/*Ӳسʼ*/
	BSP_Init();
	
	LED_ON_ALL();
	systick_delay(100);
	LED_OFF_ALL();
	systick_delay(100);
	
	while(1)
	{
		LED4_ON();
		ARM_DELAY(1000000);
		LED4_OFF();
		ARM_DELAY(1000000);
	}
}

/****************************************************************
* function   	: led_light_up

* Description : ָLED

* input			  : led_num: LED

* output      : 
*****************************************************************/
void led_light_up(u8 led_num)
{
	LED_OFF_ALL();
	switch(led_num)
	{
	  case 0:
			LED1_ON();
		  break;
		case 1:
			LED2_ON();
		  break;
		case 2:
			LED3_ON();
		  break;
		case 3:
			LED4_ON();
		  break;
		default:
			break;
	}
}

/****************************************************************
* function   	: systick_delay

* Description : õĵδʱ

* input			  : time趨ĵδʱ

* output      : 
*****************************************************************/
void systick_delay(uint16_t time)
{
	SysTick_Time = time; 
	SysTick_UserConfig();                         /*ϵͳδʱӳʼ */ 
	while(SysTick_Time != 0)                     	/*жǷ񵽴趨ĵδ*/
	{
	}
  SysTick->CTRL &= 0x02;                       /*SysTickж */
}

/****************************************************************
* function   	: SysTick_Handler

* Description : ϵͳδʱж

* input			  : 

* output      : 
*****************************************************************/
void SysTick_Handler(void)         /*ϵͳδʱж */
{
  SysTick_Time--;
}

